<!DOCTYPE html>
<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Hyperlinks</title>
	</head>
	<body>
		<h2 id="top">HTML Attributes</h2>

		<!-- align attribute is used to change the alignment of the text -->
		<!-- id tag is used to define variable for the text -->
		<p align="center">Modifiers of element behavior</p>

		<h2>HTML Images</h2>
		<p><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>

		<a href="https://place-puppy.com" target="_blank">
			<img src="https://place-puppy.com/300x300" alt = "Dog Image"/>
		</a>
		<!-- alt attribute - alternate text shown in cases where image fails to load -->
		

		<p>
			<!-- code tag is used to display text in the browser using its monospace font. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300" alt = "Dog Image" &gt;
			</code>
		</p>

		<img src="./images/zuittlogo.png" alt="zuitt logo"/>

		<p>
			<code>
				&lt;img src="./images/zuittlogo.png" alt="zuitt logo" &gt;
			</code>
		</p>

		<p>Valid image extensions are the following:</p>

		<ol type = "a" reversed = "false">
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<!-- type attribute values for ol
			1
			A
			i
			I
		 -->
		 <!-- reverse attribute is to reverse the ordered list: example from a to e, it becomes e to a -->

		 <h2>HTML Links</h2>
		 <h3>Absolute Link</h3>

		 <a href="https://zuitt.co" target = "_blank">I'm hyperlink</a>

		 <!-- target = "_blank" is used to make absolute link (creates new tab when link is clicked) -->

		 <h3>Relative Link</h3>

		 <p>Go to <a href = "./link.html">"./link.html"</a></p>

		 <p>Go to <a href="./images/images.html">Images Link</a></p>

		 <p>Go to <a href="#top">top</a></p>

	</body>
</html>